@import "../styles.css";

/*==================== QUALIFICATION ====================*/
.qualification__tabs {
  display: flex;
  justify-content: space-evenly;
  margin-bottom: var(--mb-2);
}

.qualification__button {
  font-size: var(--h3-font-size);
  font-weight: var(--font-medium);
  cursor: pointer;
}

.qualification__button:hover {
  color: var(--first-color);
}

.qualification__icon {
  font-size: 1.8rem;
  margin-right: var(--mb-0-25);
}

.qualification__data {
  display: grid;
  grid-template-columns: 1fr max-content 1fr;
  column-gap: 1.5rem;
}

.qualification__title {
  font-size: var(--normal-font-size);
  font-weight: var(--font-medium);
}

.qualification__subtitle {
  display: inline-block;
  font-size: var(--small-font-size);
  margin-bottom: 0.25rem;
}

.qualification__calendar {
  font-size: var(--smaller-font-size);
  color: var(--text-color-light);
}

.qualification__rounder {
  display: inline-block;
  left: 50%;
  width: 13px;
  height: 13px;
  background-color: var(--first-color);
  border-radius: 50%;
  position: absolute;
  transform: translateX(-50%);
}

.qualification__square {
  display: inline-block;
  left: 50%;
  width: 10px;
  height: 10px;
  background-color: var(--first-color);
  border-radius: 50%;
  position: absolute;
  transform: translateX(-50%);
}

.qualification__line {
  display: inline-flexbox;
  position: absolute;
  left: 50%;
  top: 0;
  bottom: 0;
  width: 1px;
  height: 100%;
  background-color: var(--first-color);
  transform: translate(6px,-7px);
  transform: translateX(-50%);
}

.qualification__content {
  display: flex;
  align-items: center; 
  justify-content: flex-start;
  position: relative;
}

.qualification__content.left {
  padding-right: 2rem;
  margin-right: 50%;
  justify-content: flex-end;
  align-items: flex-end;
}

.qualification__content.right {
  padding-left: 2rem;
  justify-content: flex-start;
  margin-left: 50%;
  align-items: flex-end;
}

.qualification [data-content] {
  display: none;
}

.qualification__active[data-content] {
  display: block;
}

.qualification__button.qualification__active {
  color: var(--first-color);
}